Skip to main content
POST
/
v1
/
applications
/
{id}
/
events
Create an application event
curl --request POST \
  --url https://api.yorlet.com/v1/applications/{id}/events \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "action": "<string>",
  "type": "<string>"
}
'
{
  "id": "<string>",
  "created": 123,
  "object": "application.event",
  "action": "<string>",
  "application": "<string>",
  "customer": "<string>",
  "remote_ip": "<string>",
  "remote_ip_location": {
    "city": "<string>",
    "country": "<string>",
    "geo_point": [
      123
    ],
    "region": "<string>"
  },
  "type": "<string>",
  "account": "<string>",
  "deleted": false
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Body

application/json
action
string
required

The action of the event.

type
string
required

The type of the event.

Response

200 - application/json

Returns the application event object if the request succeeded.

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
application.event
action
string
required

The action of the event.

application
string
required

The identifier of the application the event belongs to.

Pattern: ^[a-zA-Z0-9_]+$
customer
string
required

The identifier of the customer the event belongs to.

Pattern: ^[a-zA-Z0-9_]+$
remote_ip
string
required

The IP address of the event.

remote_ip_location
object
required
type
string
required

The type of the event.

account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.